Antes de atualizar o vRealize Automation 6.2.5 para 7.3 ou 7.3.1, revise os seguintes pré-requisitos.

Requisitos de configuração do sistema

Certifique-se de atender aos seguintes requisitos do sistema antes de iniciar uma atualização.

  • Verifique se todos os dispositivos e servidores que fazem parte de sua implantação satisfazem os requisitos do sistema para a versão mais recente. Consulte a Matriz de suporte do vRealize Automation na Documentação do VMware vRealize Automation.

  • Consulte a Matriz de Interoperabilidade de Produtos VMware no site do VMware para obter informações sobre a compatibilidade com outros produtos VMware.

  • Verifique se o vRealize Automation a partir do qual você está atualizando está em uma condição de trabalho estável. Corrija quaisquer problemas antes de atualizar.

  • Se você estiver atualizando do vRealize Automation 6.2.5, registre a chave de licença do vCloud Suite usada para o ambiente atual do vRealize Automation. Durante a atualização, as chaves de licença existentes são removidas do banco de dados. Se estiver atualizando do vRealize Automation 7.x, você não precisará registrar a licença

Requisitos de configuração de hardware

Verifique se o hardware no seu ambiente é adequado para o vRealize Automation 7.3 ou 7.3.1.

Consulte Especificações de hardware do vRealize Automation e máximos de capacidade

Certifique-se de atender aos seguintes requisitos do sistema antes de iniciar uma atualização.

  • Você deve configurar o seu hardware atual antes de baixar a atualização. Consulte Aumentar os recursos de hardware do vCenter Server para o vRealize Automation 6.2.5.

  • Você deve ter pelo menos 18 GB de RAM, 4 CPUs, Disco 1 = 50 GB, Disco 3 = 25 GB e Disco 4 = 50 GB antes de executar a atualização.

    Se a máquina virtual estiver no vCloud Networking and Security, talvez seja necessário alocar mais espaço em RAM.

    Embora o suporte geral para vCloud Networking and Security 5.5.x (vCNS) tenha terminado em setembro de 2016, as propriedades personalizadas de VCNS continuam válidas para fins de NSX. Consulte o artigo de Base de conhecimento VMware Final da Disponibilidade e Final do Suporte Geral para a Rede e Segurança VMware vCloud 5.5.x (2144733) em http://kb.vmware.com/kb/2144733 para obter mais informações.

  • Estes nós devem ter pelo menos 5 GB de espaço livre em disco:

    • Sites do IaaS primário

    • Banco de dados Microsoft SQL

    • Model Manager

  • O nó de Site do IaaS primário no qual os dados do Model Manager estão instalados deve ter o JAVA SE Runtime Environment 8, 64 bits, atualização 111 ou posterior, instalado. Depois de instalar o Java, você deve definir a variável do ambiente JAVA_HOME como a nova versão.

  • Para baixar e executar a atualização, você deve ter os seguintes recursos:

    • Pelo menos 4.5 GB na partição raiz

    • 4,5 GB na partição /storage/db para o mestre Appliance do vRealize Automation

    • 4,5 GB na partição raiz para cada appliance virtual de réplica

  • Verifique a subpasta /storage/log e remova arquivos ZIP arquivados mais antigos para liberar espaço.

Pré-requisitos gerais

Certifique-se de atender aos seguintes requisitos do sistema antes de iniciar uma atualização.

  • Você tem acesso a uma conta do Active Directory com formato nomedeusuario@dominio e permissões de associação ao diretório.

  • Você atende às seguintes condições:

    • Você tem acesso a uma conta com formato SAMAccountName.

    • Você tem privilégios suficientes para associar o sistema ao domínio por meio da criação de um objeto de computador dinamicamente ou para mesclagem em um objeto pré-criado.

  • Você tem acesso a todos os bancos de dados e todos os balanceadores de carga são impactados ou participam da atualização do vRealize Automation.

  • Você torna o sistema indisponível para os usuários enquanto realiza a atualização.

  • Você desabilita todos os aplicativos que consultam o vRealize Automation.

  • Verifique se o MSDTC (Microsoft Distributed Transaction Coordinator) está ativado em todos os vRealize Automation e servidores SQL associados. Para obter instruções, consulte o artigo da base de dados de conhecimento da VMware Diversas tarefas falham após a atualização ou migração para o VMware vCloud Automation Center (vCAC) 6.1.x (2089503) em http://kb.vmware.com/kb/2089503.

  • Se o seu ambiente tiver um appliance vRealize Orchestrator externo e um appliance vRealize Orchestrator externo que esteja conectado ao Identity Appliance, atualize o vRealize Orchestrator antes de fazer a atualização do vRealize Automation.

  • Conclua estas etapas se estiver atualizando um ambiente distribuído configurado com um banco de dados PostgreSQL integrado.

    1. Examine os arquivos no diretório pgdata do host mestre antes de atualizar os hosts de réplica.

    2. Navegue até a pasta de dados PostgreSQL no host mestre em /var/vmware/vpostgres/current/pgdata/.

    3. Feche todos os arquivos abertos no diretório pgdata e remova todos os arquivos com um sufixo .swp.

    4. Verifique se todos os arquivos neste diretório possuem a posse correta: postgres:users.

  • Veja o artigo 000051531 da Base de conhecimento e realize as correções relevantes nos seus ambientes antes da atualização.